<?php
	require_once("includes/header.inc");
	
	// check if the necessary tables exist
	preparePhotosTable($db);

	if (!isset($_GET['skip']))
		$skip = 0;
	else 
		$skip = $_GET['skip'];

	$innerSQL = "SELECT ROW_NUMBER() OVER (ORDER BY id ASC) AS rn, id
			FROM $strCbrTable";

	// query the id and meta data of the images in the database
	// see also: http://troels.arvin.dk/db/rdbms/#select-limit-offset
	$sql = "SELECT * FROM (
			$innerSQL
		)
		WHERE rn > $skip AND rn <= ($numberOfPhotosOnPage + $skip)";
	
	executeQuery($db, $sql, $header1, $images);

	$sql = "SELECT count(*) as count FROM (
			$innerSQL
		)";
	
	executeQuery($db, $sql, $header2, $countArray);
	
	// if there are no images in the database we will print a
	// message to let the user know
	$count = $countArray[0]["COUNT"];
	if ($count == 0) {
		$messages[] = "No records in table 'photos'.";
	} else {
		$messages[] = "There are $count image(s) in the database.";
	}
	
	// assign the necessary values to the page we display later on
	$smarty->assign('table', $strCbrTable);
	$smarty->assign('messages', $messages);
	$smarty->assign('images', $images);

	$previous = $skip - $numberOfPhotosOnPage;
	$smarty->assign('previous', $previous);
	
	$next = $numberOfPhotosOnPage + $skip;
	if ($next > $count)
		$next = 0;
	$smarty->assign('next', $next);

	$smarty->assign('numberOfPhotosOnPage', $numberOfPhotosOnPage);

	$smarty->assign('self', $_SERVER['PHP_SELF']);
	
	// display the completed page
	$smarty->display('choose.tpl');

?>