<?php
	// do some initialization work
	require_once("includes/ini.inc");
	
	// establish the connection to the database
	require_once("includes/oci.inc");
	
	// include some functions which operate on the database
	require_once("includes/dbfuncs.inc");
	
	retrieveImage($db, $_GET['id'], $_GET['table'], $data, $mimetype);
	
	header ("Content-Type: " . $mimetype);
	
	// resize the image if maxSize is specified (we use functions of the GD
	// library, see http://de2.php.net/manual/en/ref.image.php)
	if (isset($_GET['maxSize']) && is_numeric($_GET['maxSize'])) {	
		$maxSize = $_GET['maxSize'];
	
		$tmp_image = imagecreatefromstring($data);
		
		$width = ImageSx($tmp_image);
		$height = ImageSy($tmp_image);

		if ($width > $maxSize || $height > $maxSize) {
			// the longest border of the image shall not be longer than
			// the value of the maxSize variable (we resize the image
			// with respect to the aspect ratio)
			if ($width > $height) {
				$newWidth = $maxSize;
				$factor = doubleval($newWidth) / doubleval($width);
				$newHeight = $height * $factor;
			}
			else {
				$newHeight = $maxSize;
				$factor = doubleval($newHeight) / doubleval($height);
				$newWidth = $width * $factor;
			}
			
			$thumb = ImageCreateTrueColor($newWidth, $newHeight);
			ImageCopyResampled($thumb, $tmp_image, 0, 0, 0 , 0, $newWidth, $newHeight, $width, $height);
		} else {
			$thumb = $tmp_image;
		}
		
		// we do not have to echo the $thumb variable since echoing is
		// done by the ImagePNG function
		// btw: we are not able to use the ImageJPEG function since the php version
		// on the HTWK-server does not support jpeg at the moment
		header ("Content-Type: image/png");
		ImagePNG($thumb);
	} else {
		header ("Content-Type: " . $mimetype);
		// echo the data of the image to send it to the browser
		echo $data;
 	}
?>