<?php
	require_once("includes/header.inc");
	
	// check if the necessary tables exist, otherwise create them
	prepareImagesTable($db);
	
	// check if this is a post request
	if ($_SERVER['REQUEST_METHOD'] == 'POST') {
		// check if the file was uploaded successfully
		if (is_uploaded_file($_FILES['media']['tmp_name'])) {
			// extract the mime type of the uploaded file
			$mimeType = $_FILES['media']['type'];
			
			// check if the mime type string starts with the prefix 'image'
			// to see if the uploaded file is an image
			$prefix = substr($mimeType, 0, strlen('image'));			
			if (strcasecmp($prefix, 'image') == 0) {
				// upload the image to the database
				uploadImage($db, $_FILES['media']['tmp_name']);
			} else {
				$messages[] = "Please upload images only.";
			}
		} else {
			$messages[] = "Upload failed.";
		}
	}
	
	// query the id and meta data of the images in the database
	$sql = "SELECT i.id, 
			i.image.getWidth() width, 
			i.image.getHeight() height,
			i.image.getContentLength() length, 
			i.image.getFileFormat() fileFormat,
			i.image.getContentFormat() contentFormat, 
			i.image.getCompressionFormat() compressionFormat,
			i.image.getMimeType() mimeType
		FROM images i ORDER BY id ASC";

	executeQuery($db, $sql, $header, $arr);
	
	// if there are no images in the database we will print a
	// message to let the user know
	if (count($arr) == 0) {
		$messages[] = "No records in table 'images'.";
	}
	
	// assign the necessary values to the page we display later on
	$smarty->assign('table', "images");
	$smarty->assign('messages', $messages);
	$smarty->assign('images', $arr);
	$smarty->assign('self', $_SERVER['PHP_SELF']);
	
	// display the completed page
	$smarty->display('images.tpl');

?>