<?php
	require_once("includes/header.inc");
	
	// check if the necessary tables exist, otherwise create them
	prepareSoundsTable($db);
	
	// check if this is a post request
	if ($_SERVER['REQUEST_METHOD'] == 'POST') {
		// check if the file was uploaded successfully
		if (is_uploaded_file($_FILES['media']['tmp_name'])) {
			// extract the mime type of the uploaded file
			$mimeType = $_FILES['media']['type'];
			
			// check if the mime type string starts with the prefix 'audio'
			// to see if the uploaded file is a sound
			$prefix = substr($mimeType, 0, strlen('audio'));			
			if (strcasecmp($prefix, 'audio') == 0) {
				// upload the image to the database
				uploadSound($db, $_FILES['media']['tmp_name']);
			} else {
				$messages[] = "Please upload sounds only.";
			}
		} else {
			$messages[] = "Upload failed.";
		}
	}
	
	// query the id and meta data of the sounds in the database
	$sql = "SELECT s.id,
			s.sound.getFormat() format,
			s.sound.getMimeType() mimeType,
			s.sound.getEncoding() encoding,
			s.sound.getNumberOfChannels() numberOfChannels,
			s.sound.getSamplingRate() samplingRate,
			s.sound.getSampleSize() sampleSize,
			s.sound.getCompressionType() compressionType,
			s.sound.getAudioDuration() audioDuration 
		FROM sounds s ORDER BY id ASC";
	
	executeQuery($db, $sql, $header, $arr);
	
	// if there are no images in the database we will print a
	// message to let the user know
	if (count($arr) == 0) {
		$messages[] = "No records in table 'sounds'.";
	}
	
	// assign the necessary values to the page we display later on
	$smarty->assign('messages', $messages);
	$smarty->assign('sounds', $arr);
	$smarty->assign('self', $_SERVER['PHP_SELF']);
	
	// display the completed page
	$smarty->display('sounds.tpl');

?>