begin

begin 
  Ctx_Ddl.Drop_Preference ( 'my_basic_lexer' ); 
exception
  when others then
    /* not an error if...
          preference does not exist */
    if instr ( SQLERRM, 'DRG-10700' ) != 0
    then
      null;
    else
      raise_application_error ( -20000, SQLERRM );
    end if;
end;

begin 
  Ctx_Ddl.Drop_Preference ( 'my_basic_wordlist' ); 
exception
  when others then
    /* not an error if...
          preference does not exist */
    if instr ( SQLERRM, 'DRG-10700' ) != 0
    then
      null;
    else
      raise_application_error ( -20000, SQLERRM );
    end if;
end;

begin 
  Ctx_Ddl.Drop_Preference ( 'mystore' ); 
exception
  when others then
    /* not an error if...
          preference does not exist */
    if instr ( SQLERRM, 'DRG-10700' ) != 0
    then
      null;
    else
      raise_application_error ( -20000, SQLERRM );
    end if;
end;

begin 
  Ctx_Ddl.Drop_Section_Group ( 'my_basic_section_group' ); 
exception
  when others then
    /* not an error if...
          section group does not exist */
    if instr ( SQLERRM, 'DRG-12203' ) != 0
    then
      null;
    else
      raise_application_error ( -20000, SQLERRM );
    end if;
end;

begin 
  Ctx_Ddl.Create_Preference ( 'my_basic_lexer', 'basic_lexer' ); 
  Ctx_Ddl.Set_Attribute     ( 'my_basic_lexer', 'index_themes', 'yes' );
  Ctx_Ddl.Set_Attribute     ( 'my_basic_lexer', 'prove_themes', 'no' ); 
  Ctx_Ddl.Set_Attribute     ( 'my_basic_lexer', 'index_text',   'yes' );
  Ctx_Ddl.Set_Attribute     ( 'my_basic_lexer', 'theme_language', 'english' );
  Ctx_Ddl.Create_Section_Group
    (
       group_name => 'my_basic_section_group',
       group_type => 'basic_section_group'
    );
  Ctx_Ddl.Add_Field_Section
    ( 
      group_name   => 'my_basic_section_group',
      section_name => 'title',
      tag          => 't',
      visible      => true
    );
  Ctx_Ddl.Add_Field_Section
    ( 
      group_name   => 'my_basic_section_group',
      section_name => 'author',
      tag          => 'a',
      visible      => true
    );
end;

begin
  ctx_ddl.create_preference('my_basic_wordlist', 'BASIC_WORDLIST');
  ctx_ddl.set_attribute('my_basic_wordlist','FUZZY_MATCH','ENGLISH');
  ctx_ddl.set_attribute('my_basic_wordlist','STEMMER','ENGLISH');
end;

begin
	ctx_ddl.create_preference('mystore', 'BASIC_STORAGE');
	ctx_ddl.set_attribute('mystore', 'I_TABLE_CLAUSE', 'tablespace INDX');
	ctx_ddl.set_attribute('mystore', 'K_TABLE_CLAUSE', 'tablespace INDX');
	ctx_ddl.set_attribute('mystore', 'R_TABLE_CLAUSE', 'tablespace INDX');
	ctx_ddl.set_attribute('mystore', 'N_TABLE_CLAUSE', 'tablespace INDX');
	ctx_ddl.set_attribute('mystore', 'I_INDEX_CLAUSE', 'tablespace INDX');
	ctx_ddl.set_attribute('mystore', 'P_TABLE_CLAUSE', 'tablespace INDX');
end;

end;