<?php
	require_once("includes/header.inc");
	
	// check if the necessary tables exist
	prepareThesaurus($db);

	$operators = array( 'BT', 'BTG', 'BTI', 'BTP', 'NT', 'NTG', 'NTI', 'NTP', 'PT', 'RT', 'SN', 'SYN', 'TT' );
	
	// check if this is a post request
	if ($_SERVER['REQUEST_METHOD'] == 'POST' && isset($_POST['query']) && isset($_POST['operator'])) {	
		$query = $_POST['query'];
		$operator = $_POST['operator'];
		$level = $_POST['level'];
		$levelWithComma = $level . ", ";
		
		// there is no level parameter for the SYN operator
		if ($operator == 'SYN' || $operator == 'PT' || $operator == 'RT' || $operator == 'SN' || $operator == 'TT') {
			$levelWithComma = "";
		}
		
		$sql ="DECLARE
			terms VARCHAR2(40);
		BEGIN
			terms := ctx_thes.$operator('$query', $levelWithComma'default'); 
			:ext := terms;
		END;";
	
		$sql = strtr ($sql,chr(13).chr(10)," ");
		$stmt = OCIParse($db, $sql);
	
		OCIBindByName($stmt, ':ext', $result, 32);
		
		OCIExecute ($stmt, OCI_DEFAULT);
		
		OCIFreeStatement ($stmt);
	} else {
		$level = "";
		$operator = "";
		$query = "";
		$result = -1;
	}

	// if there are no images in the database we will print a
	// message to let the user know
// 	if (count($arr) == 0) {
// 		$messages[] = "No records matched.";
// 	}

	// assign the necessary values to the page we display later on
	$smarty->assign('messages', $messages);
	$smarty->assign('operators', $operators);
	$smarty->assign('choosenOperator', $operator);
	$smarty->assign('choosenLevel', $level);
	$smarty->assign('choosenQuery', $query);
	$smarty->assign('result', $result);
	$smarty->assign('self', $_SERVER['PHP_SELF']);
	
	// display the completed page
	$smarty->display('thesaurus.tpl');
?>