<?php
	require_once("includes/header.inc");
	
	// check if the necessary tables exist, otherwise create them
	prepareVideosTable($db);
	
	// check if this is a post request
	if ($_SERVER['REQUEST_METHOD'] == 'POST') {
		// check if the file was uploaded successfully
		if (is_uploaded_file($_FILES['media']['tmp_name'])) {
			// extract the mime type of the uploaded file
			$mimeType = $_FILES['media']['type'];
			
			// check if the mime type string starts with the prefix 'video'
			// to see if the uploaded file is a video
			$prefix = substr($mimeType, 0, strlen('video'));			
			if (strcasecmp($prefix, 'video') == 0) {
				// upload the image to the database
				uploadVideo($db, $_FILES['media']['tmp_name']);
			} else {
				$messages[] = "Please upload videos only.";
			}
		} else {
			$messages[] = "Upload failed.";
		}
	}
	
	// query the id and meta data of the videos in the database
	$sql = "SELECT v.id,
			v.video.getFormat() format,
			v.video.getMimeType() mimeType,
			v.video.width width,
			v.video.height height,
			v.video.getFrameResolution() frameResolution,
			v.video.getFrameRate() frameRate,
			v.video.getVideoDuration() videoDuration,
			v.video.getNumberOfFrames() numberOfFrames,
			v.video.getCompressionType() compressionType,
			v.video.getNumberOfColors() numberOfColors,
			v.video.getBitRate() bitRate 
		FROM videos v ORDER BY id ASC";
	
	executeQuery($db, $sql, $header, $arr);
	
	// if there are no images in the database we will print a
	// message to let the user know
	if (count($arr) == 0) {
		$messages[] = "No records in table 'videos'.";
	}
	
	// assign the necessary values to the page we display later on
	$smarty->assign('messages', $messages);
	$smarty->assign('videos', $arr);
	$smarty->assign('self', $_SERVER['PHP_SELF']);
	
	// display the completed page
	$smarty->display('videos.tpl');

?>